include DEFS

OBJS	= xdr_open.o xdr_close.o xdr_rewind.o xdr_fint.o \
	  xdr_fdouble.o xdr_imat.o xdr_dmat.o xdr_fstring.o \
	  xdr_real64.o xdr_rmat64.o

SRCS	= xdr_open.c xdr_close.c xdr_rewind.c xdr_fint.c \
	  xdr_fdouble.c xdr_imat.c xdr_dmat.c xdr_fstring.c \
	  xdr_real64.c xdr_rmat64.c

FOBJ	= io_units.o precisn.o xdr_files.o test_xdr.o

FSRC 	= io_units.f90 precisn.f90 xdr_files.f90 test_xdr.f90

.SUFFIXES: 
.SUFFIXES: .c .o .f90

#####################################################################

.c.o:
	$(CC) $(COPTS) -c $<

.f90.o:
	$(F90) $(F90OPTS) -c $<

#####################################################################
all:	libfxdr.a test_xdr 

libfxdr.a: $(OBJS)
	-rm libfxdr.a
	$(AR) $(ARS) libfxdr.a $(OBJS)
	-$(RANLIB) libfxdr.a
	cp libfxdr.a ../lib/.

test_xdr: $(FOBJ) libfxdr.a
	$(F90) -o $@ $(FOBJ) $(F90OPTS) libfxdr.a $(LIBS)

clean:
	-rm *.o *.mod *~ ../lib/libfxdr.a test_xdr










